Page MenuHomeFreeBSD

Add GNU/Linux instructions
ClosedPublic

Authored by carlavilla on Jan 30 2022, 1:02 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jul 16, 12:36 PM
Unknown Object (File)
Jun 16 2024, 4:13 PM
Unknown Object (File)
May 27 2024, 6:21 PM
Unknown Object (File)
May 21 2024, 10:13 PM
Unknown Object (File)
May 17 2024, 11:25 PM
Unknown Object (File)
May 17 2024, 10:22 PM
Unknown Object (File)
May 9 2024, 12:51 PM
Unknown Object (File)
May 3 2024, 10:08 AM
Subscribers

Details

Summary

Add GNU/Linux instructions to install the required packages and work with the documentation portal and with the website

Test Plan

Run Debian or Ubuntu inside Virtualbox OSE and follow the steps.

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

carlavilla created this revision.

A little note. The "tip" will be removed in a couple of months. When hugo 0.90 version will be older.
I know the website/documentation also works well on MacOS, but right now I don't have access to a MacOS machine.
If someone can test it again it would be great :)

Apart from that, I requested a friend of mine who has a MacOS machine to let me try to build the website/documentation in MacOS.

debdrup added inline comments.
documentation/content/en/books/fdp-primer/overview/_index.adoc
85

I don't think this removal of the .filename macro is correct, since this refers to an actual filepath.

115

Doesn't this need to be split into one line per sentence.

149

Is this much emphasis necessary? If it is, should it be in a note or similar disclaimer-like box?

Since there are changes in 2022 (or at least one change, this one), bump the copyright years.

ObMeta; I can't make edit suggestions on this review as the button is missing from inline comments for some reason.

documentation/content/en/books/fdp-primer/overview/_index.adoc
85

IAWTC.

113

Get rid of the passive since you're touching that line? Something like "The example above makes changes to the *bsdinstall* portion of the Handbook, so use that as part of the diff filename."

128

That should be one sentence, not 2.

146

"files" maybe? Not sure.

156

I'd remove the scare quotes.

161

Is ".txt" necessary? It may be in the Linux environment, if it fails to recognize file content as MIME type text/x-patch or failing that text/plain.

164–165

Redundant with earlier mention on lines 112-113? If not, I would reword to remove the passive too.

ObMeta; I can't make edit suggestions on this review as the button is missing from inline comments for some reason.

You can't make suggestions because there's context missing, which means @trasz needs to create full-context diffs, or use git-arc after setting it up.

ObMeta; I can't make edit suggestions on this review as the button is missing from inline comments for some reason.

You can't make suggestions because there's context missing, which means @trasz needs to create full-context diffs, or use git-arc after setting it up.

I think you've meant @carlavilla :-)

carlavilla marked 10 inline comments as done.

Fixed!

Still can't suggest edits.

documentation/content/en/books/fdp-primer/overview/_index.adoc
67

Per https://wiki.freebsd.org/Bugzilla/DosAndDonts, I'd make it "enter a short description of the problem in the _Summary_ field and add _patch_ to the _Keywords_ field".

68

s/the //

Still can't suggest edits.

Fixed the first report.

What do you mean with "s/the //"?
I don't know why but the link does not work :s

What do you mean with "s/the //"?
I don't know why but the link does not work :s

I meant: remove "the " on that line. The link doesn't work because you didn't upload full context, as @debdrup already mentioned. Are you using the web interface to Phabricator to submit diffs?

What do you mean with "s/the //"?
I don't know why but the link does not work :s

I meant: remove "the " on that line. The link doesn't work because you didn't upload full context, as @debdrup already mentioned. Are you using the web interface to Phabricator to submit diffs?

Ah ok, I just made the change. I hope hehe

And yes, I'm using the web interface to upload the diff.

documentation/content/en/books/fdp-primer/overview/_index.adoc
167

No "[patch]". See https://wiki.freebsd.org/Bugzilla/DosAndDonts. Looks like you made that change in the wrong place (see below).

169

That was fine as it was. I was asking for a change in what you ask to enter in the summary field.

This night I'll commit this change.
I think it's a good addition to the FDP.
We can improve in the future.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 28 2022, 6:05 PM
This revision was automatically updated to reflect the committed changes.